Create registry credential
curl --request POST \
--url https://api.cnap.tech/v1/registry/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "GitHub Container Registry",
"registry_url": "ghcr.io",
"credentials": {
"username": "<string>",
"password": "<string>",
"token": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"token_url": "<string>"
}
}
'import requests
url = "https://api.cnap.tech/v1/registry/credentials"
payload = {
"name": "GitHub Container Registry",
"registry_url": "ghcr.io",
"credentials": {
"username": "<string>",
"password": "<string>",
"token": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"token_url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'GitHub Container Registry',
registry_url: 'ghcr.io',
credentials: {
username: '<string>',
password: '<string>',
token: '<string>',
client_id: '<string>',
client_secret: '<string>',
token_url: '<string>'
}
})
};
fetch('https://api.cnap.tech/v1/registry/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": "<unknown>"
}
}Registry
Create registry credential
Adds a registry credential to the workspace for OCI proxy authentication.
POST
/
v1
/
registry
/
credentials
Create registry credential
Authorizations
Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Body
application/json
Required string length:
1 - 100Example:
"GitHub Container Registry"
Required string length:
1 - 2048Example:
"ghcr.io"
Auth type
Available options:
basic, token, oauth Auth credentials (type-dependent)
Show child attributes
Show child attributes
Response
Credential created
⌘I